import sofia.micro.lightbot.*;

//-------------------------------------------------------------------------
/**
 *  Level 3, together with its solution using a single Light-Bot.
 *
 *  @author Stephen Edwards (stedwar2)
 *  @version 2012.08.27
 */
public class Level3Solution extends Level3
{
    //~ Methods ...............................................................

    // ----------------------------------------------------------
    /**
     * This method "solves" Level 3 by placing a Light-Bot at (0, 4)
     * and then commanding it one step at a time to walk through
     * the desired sequence of actions.
     */
    public void myProgram()
    {
        LightBot andy = new LightBot();
        add(andy, 0, 4);

        andy.move();
        andy.jump();
        andy.jump();
        andy.move();
        andy.turnLeft();
        andy.turnLightOn();
        andy.move();
        andy.turnLightOn();
        andy.move();
        andy.turnLightOn();
    }

}
